<div>
  <h2 id="page-heading" data-cy="PanierHeading">
    <span jhiTranslate="blogApp.panier.home.title">Paniers</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="blogApp.panier.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-panier"
        [routerLink]="['/panier/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="blogApp.panier.home.createLabel"> Créer un nouveau Panier </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="paniers?.length === 0">
    <span jhiTranslate="blogApp.panier.home.notFound">Aucun Panier trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="paniers && paniers.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="blogApp.panier.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="date">
            <div class="d-flex">
              <span jhiTranslate="blogApp.panier.date">Date</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="valeur">
            <div class="d-flex">
              <span jhiTranslate="blogApp.panier.valeur">Valeur</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="state">
            <div class="d-flex">
              <span jhiTranslate="blogApp.panier.state">State</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="produit.id">
            <div class="d-flex">
              <span jhiTranslate="blogApp.panier.produit">Produit</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="utilisateur.id">
            <div class="d-flex">
              <span jhiTranslate="blogApp.panier.utilisateur">Utilisateur</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let panier of paniers; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/panier', panier.id, 'view']">{{ panier.id }}</a>
          </td>
          <td>{{ panier.date | formatMediumDate }}</td>
          <td>{{ panier.valeur }}</td>
          <td jhiTranslate="{{ 'blogApp.Etat.' + panier.state }}">{{ panier.state }}</td>
          <td>
            <span *ngFor="let produit of panier.produits; let last = last">
              <a class="form-control-static" [routerLink]="['/produit', produit.id, 'view']">{{ produit.id }}</a
              >{{ last ? '' : ', ' }}
            </span>
          </td>
          <td>
            <div *ngIf="panier.utilisateur">
              <a [routerLink]="['/utilisateur', panier.utilisateur.id, 'view']">{{ panier.utilisateur.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button type="submit" [routerLink]="['/panier', panier.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button type="submit" [routerLink]="['/panier', panier.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(panier)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
